;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: DAC9_2.inc
;;   Version: 2.2, Updated on 2006/05/05 at 13:02:43
;;  Generated by PSoC Designer ver 4.4  b1884 : 14 Jan, 2007
;;
;;  DESCRIPTION:  Assembler declarations for the DAC9 user module interface
;;                for the 22/24/25/26/27/29xxx PSoC family of devices.
;;
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"

;--------------------------------------------------
; Constants for DAC9_2 API's
;--------------------------------------------------
DAC9_2_OFF:              equ 00h
DAC9_2_LOWPOWER:         equ 01h
DAC9_2_MEDPOWER:         equ 02h
DAC9_2_HIGHPOWER:        equ 03h
DAC9_2_FULLPOWER:        equ 03h

DAC9_2_LSB_CR0:          equ 90h
DAC9_2_LSB_CR1:          equ 91h
DAC9_2_LSB_CR2:          equ 92h
DAC9_2_LSB_CR3:          equ 93h
DAC9_2_MSB_CR0:          equ 94h
DAC9_2_MSB_CR1:          equ 95h
DAC9_2_MSB_CR2:          equ 96h
DAC9_2_MSB_CR3:          equ 97h

DAC9_2_OffsetBinary:     equ 04h
DAC9_2_TwosComplement:   equ 02h
DAC9_2_SignAndMagnitude: equ 01h
DAC9_2_RawRegister:      equ 00h

DAC9_2_DATAFORMAT:       equ 7h
DAC9_2_OFFSETBINARY:     equ DAC9_2_DATAFORMAT & DAC9_2_OffsetBinary
DAC9_2_TWOSCOMPLEMENT:   equ DAC9_2_DATAFORMAT & DAC9_2_TwosComplement
DAC9_2_SIGNANDMAGNITUDE: equ DAC9_2_DATAFORMAT & DAC9_2_SignAndMagnitude

DAC9_2_PHASE_Normal:     equ 0
DAC9_2_PHASE_Swapped:    equ 1

DAC9_2_PHASE_SWAP:       equ DAC9_2_PHASE_Normal

IF DAC9_2_PHASE_SWAP
    DAC9_2_CR0_HIBITS:   equ C0h
ELSE
    DAC9_2_CR0_HIBITS:   equ 80h
ENDIF

;--------------------------------------------------
; Register Address Constants for DAC9_2
;--------------------------------------------------
DAC9_2_LSB_CR0: equ 90h                          ; LSB SC Block Control Register 0
DAC9_2_LSB_CR1: equ 91h                          ; LSB SC Block Control Register 1
DAC9_2_LSB_CR2: equ 92h                          ; LSB SC Block Control Register 2
DAC9_2_LSB_CR3: equ 93h                          ; LSB SC Block Control Register 3

DAC9_2_MSB_CR0: equ 94h                          ; MSB SC Block Control Register 0
DAC9_2_MSB_CR1: equ 95h                          ; MSB SC Block Control Register 1
DAC9_2_MSB_CR2: equ 96h                          ; MSB SC Block Control Register 2
DAC9_2_MSB_CR3: equ 97h                          ; MSB SC Block Control Register 3

; end of file DAC9_2.inc
